org.crosswire.common.config

## Class StringArrayChoice

- java.lang.Object
- - org.crosswire.common.config.AbstractReflectedChoice
  - - org.crosswire.common.config.StringArrayChoice

- All Implemented Interfaces:
    Choice

      public class StringArrayChoice
      extends AbstractReflectedChoice

  A class to convert between strings and objects of a type.
  Author:
    Joe Walker
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private String` | `separator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringArrayChoice()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `convertToObject(String orig)` Convert from a stored string to an object to use with reflection
    `String` | `convertToString(Object orig)` Convert from a reflection return value to a String for storage
    `Class<String[]>` | `getConversionClass()` The class that this Choice works on.
    `void` | `init(org.jdom2.Element option, ResourceBundle configResources)` String value to associate with the name (key)

    - ### Methods inherited from class org.crosswire.common.config.AbstractReflectedChoice

      `getFullPath, getHelpText, getKey, getString, getType, isHidden, isIgnored, isSaveable, requiresRestart, setFullPath, setHelpText, setString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### separator

          private String separator

  - ### Constructor Detail

    - #### StringArrayChoice

          public StringArrayChoice()

  - ### Method Detail

    - #### init

          public void init(org.jdom2.Element option,
                  ResourceBundle configResources)
                    throws StartupException

      Description copied from interface: `Choice`
      String value to associate with the name (key)
      Specified by:
        `init` in interface `Choice`
      Overrides:
        `init` in class `AbstractReflectedChoice`
      Parameters:
        `option` - the option
        `configResources` - the resource bundle to load
      Throws:
        `StartupException` - if startup is not possible

    - #### getConversionClass

          public Class<String[]> getConversionClass()

      Description copied from interface: `Choice`
      The class that this Choice works on. Used to decide how to display the choice to the user.
      Returns:
        The Class that this Choice works using.

    - #### convertToString

          public String convertToString(Object orig)

      Description copied from class: `AbstractReflectedChoice`
      Convert from a reflection return value to a String for storage
      Specified by:
        `convertToString` in class `AbstractReflectedChoice`
      Parameters:
        `orig` - the object to be converted to a string
      Returns:
        the marshaled representation of the object

    - #### convertToObject

          public Object convertToObject(String orig)

      Description copied from class: `AbstractReflectedChoice`
      Convert from a stored string to an object to use with reflection
      Specified by:
        `convertToObject` in class `AbstractReflectedChoice`
      Parameters:
        `orig` - the marshaled representation of the object
      Returns:
        the reconstituted object